SessionFactoryServiceRegistryFactoryImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.internal
Class SessionFactoryServiceRegistryFactoryImpl

    java.lang.Object
      org.hibernate.service.internal.SessionFactoryServiceRegistryFactoryImpl

All Implemented Interfaces:
  Serializable, Service, SessionFactoryServiceRegistryFactory

    public class SessionFactoryServiceRegistryFactoryImpl

extends Object
implements SessionFactoryServiceRegistryFactory

Acts as a `Service` in the `StandardServiceRegistryImpl` whose function is as a factory for `SessionFactoryServiceRegistryImpl` implementations.

See Also:
  Serialized Form

Constructor Summary
`SessionFactoryServiceRegistryFactoryImpl(ServiceRegistryImplementor theBasicServiceRegistry)`

Method Summary
`SessionFactoryServiceRegistryImpl` | `buildServiceRegistry(SessionFactoryImplementor sessionFactory, Configuration configuration)` Create the registry.
`SessionFactoryServiceRegistryImpl` | `buildServiceRegistry(SessionFactoryImplementor sessionFactory, MetadataImplementor metadata)` Create the registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionFactoryServiceRegistryFactoryImpl

    public SessionFactoryServiceRegistryFactoryImpl(ServiceRegistryImplementor theBasicServiceRegistry)

Method Detail

### buildServiceRegistry

    public SessionFactoryServiceRegistryImpl buildServiceRegistry(SessionFactoryImplementor sessionFactory,
                                                                  Configuration configuration)

  Description copied from interface: `SessionFactoryServiceRegistryFactory`
  Create the registry.

  Specified by:
    `buildServiceRegistry` in interface `SessionFactoryServiceRegistryFactory`
  Parameters:
    `sessionFactory` - The (in flux) session factory. Generally this is useful for grabbing a reference for later use. However, care should be taken when invoking on the session factory until after it has been fully initialized.
    `configuration` - The configuration object.
  Returns:
    The registry

### buildServiceRegistry

    public SessionFactoryServiceRegistryImpl buildServiceRegistry(SessionFactoryImplementor sessionFactory,
                                                                  MetadataImplementor metadata)

  Description copied from interface: `SessionFactoryServiceRegistryFactory`
  Create the registry.

  Specified by:
    `buildServiceRegistry` in interface `SessionFactoryServiceRegistryFactory`
  Parameters:
    `sessionFactory` - The (in flux) session factory. Generally this is useful for grabbing a reference for later use. However, care should be taken when invoking on the session factory until after it has been fully initialized.
    `metadata` - The configuration object.
  Returns:
    The registry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.